curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-items"
payload = {
"seller": "e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seller: 'e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})',
max_items: 2
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yahoo_auctions_seller_items",
"seller": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"seller_id": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Yahoo! Auctions seller items\n\n- **seller:** 8bdaxRiVapnRAmjjt2iWjM9wQzLXU\n- **seller_id:** 8bdaxRiVapnRAmjjt2iWjM9wQzLXU\n- **max_items:** 2\n- **start_page:** 1\n- **Records returned:** 2\n- **Proxy traffic:** 133.9 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "r1246535918",
"url": "https://auctions.yahoo.co.jp/jp/auction/r1246535918",
"name": "■dunhill ダンヒル ボストンバッグ トラベルバッグ レザー ヴィンテージ 計1点【買取まねきや】",
"image": "https://auc-pctr.c.yimg.jp/i/auctions.c.yimg.jp/images.auctions.yahoo.co.jp/image/dr000/auc0209/user/51f851691f96ca1c0a0a326b8dc8c7d6165590e70c73563362193852794ea53c/i-img1200x1200-17907611586574f6atd",
"price": 1100,
"buy_now_price": null,
"start_price": 1000,
"is_taxed": true,
"bid_count": 0,
"watch_count": 2,
"start_at": 1790761159,
"end_at": 1791379841,
"condition": "slight_damage",
"category": {
"id": "2084051036",
"name": "かばん、バッグ"
},
"category_path": [
{
"id": "0",
"name": "オークション"
},
{
"id": "23000",
"name": "ファッション"
}
],
"brand_id": 101160,
"region": "fukuoka",
"region_code": 40,
"marketplace": "yahoo_auctions",
"is_fixed_price": false,
"is_free_shipping": false,
"is_new_arrival": true,
"is_appraisal": false,
"is_featured": false,
"seller": {
"id": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"url": "https://auctions.yahoo.co.jp/seller/8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"display_name": null,
"image": null,
"rating_count": null,
"good_rating": 99.3,
"is_store": true,
"is_best_store": false,
"is_excellent_seller": null,
"is_verified": null,
"is_speed_shipping": null,
"region": null,
"region_code": null,
"profile_message": null,
"store_licenses": []
}
},
"items": [
{
"id": "r1246535918",
"url": "https://auctions.yahoo.co.jp/jp/auction/r1246535918",
"name": "■dunhill ダンヒル ボストンバッグ トラベルバッグ レザー ヴィンテージ 計1点【買取まねきや】",
"image": "https://auc-pctr.c.yimg.jp/i/auctions.c.yimg.jp/images.auctions.yahoo.co.jp/image/dr000/auc0209/user/51f851691f96ca1c0a0a326b8dc8c7d6165590e70c73563362193852794ea53c/i-img1200x1200-17907611586574f6atd",
"price": 1100,
"buy_now_price": null,
"start_price": 1000,
"is_taxed": true,
"bid_count": 0,
"watch_count": 2,
"start_at": 1790761159,
"end_at": 1791379841,
"condition": "slight_damage",
"category": {
"id": "2084051036",
"name": "かばん、バッグ"
},
"category_path": [
{
"id": "0",
"name": "オークション"
},
{
"id": "23000",
"name": "ファッション"
}
],
"brand_id": 101160,
"region": "fukuoka",
"region_code": 40,
"marketplace": "yahoo_auctions",
"is_fixed_price": false,
"is_free_shipping": false,
"is_new_arrival": true,
"is_appraisal": false,
"is_featured": false,
"seller": {
"id": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"url": "https://auctions.yahoo.co.jp/seller/8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"display_name": null,
"image": null,
"rating_count": null,
"good_rating": 99.3,
"is_store": true,
"is_best_store": false,
"is_excellent_seller": null,
"is_verified": null,
"is_speed_shipping": null,
"region": null,
"region_code": null,
"profile_message": null,
"store_licenses": []
}
},
{
"id": "1246515443",
"url": "https://auctions.yahoo.co.jp/jp/auction/1246515443",
"name": "■ROLEX ロレックス サブマリーナ 純正BOX 68.00.71 ウォッチボックス ケース グリーン 外箱 アンカー 計1点【買取まねきや】",
"image": "https://auc-pctr.c.yimg.jp/i/auctions.c.yimg.jp/images.auctions.yahoo.co.jp/image/dr000/auc0209/user/51f851691f96ca1c0a0a326b8dc8c7d6165590e70c73563362193852794ea53c/i-img1179x1179-17907609464615zwqtg",
"price": 8683,
"buy_now_price": null,
"start_price": 1000,
"is_taxed": true,
"bid_count": 3,
"watch_count": 4,
"start_at": 1790760946,
"end_at": 1791379576,
"condition": "no_visible_damage",
"category": {
"id": "2084310801",
"name": "箱、保証書、付属品"
},
"category_path": [
{
"id": "0",
"name": "オークション"
},
{
"id": "23140",
"name": "アクセサリー、時計"
}
],
"brand_id": 102294,
"region": "fukuoka",
"region_code": 40,
"marketplace": "yahoo_auctions",
"is_fixed_price": false,
"is_free_shipping": false,
"is_new_arrival": true,
"is_appraisal": false,
"is_featured": false,
"seller": {
"id": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"url": "https://auctions.yahoo.co.jp/seller/8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"display_name": null,
"image": null,
"rating_count": null,
"good_rating": 99.3,
"is_store": true,
"is_best_store": false,
"is_excellent_seller": null,
"is_verified": null,
"is_speed_shipping": null,
"region": null,
"region_code": null,
"profile_message": null,
"store_licenses": []
}
}
],
"proxy_traffic_bytes": 137075
},
"total_points": 2
}Yahoo! Auctions seller items
A seller’s live Yahoo! Auctions Japan listings by seller id or URL, with keyword, category, price, condition, region and sort filters. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Seller ID or seller page URL. e.g. e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})
Search within the seller's listings. e.g. Keyword
Excluded words (needs a keyword). e.g. e.g. box case
Max items (up to 500)
0 <= x <= 500Starting page
x >= 0Sort by. Options: newest = Newest, ending_soonest = Ending soonest, ending_latest = Ending latest, price_asc = Price: low to high, price_desc = Price: high to low, buy_now_price_asc = Buy-it-now: low to high, buy_now_price_desc = Buy-it-now: high to low, bids_desc = Most bids, bids_asc = Fewest bids, popular = Popular, featured = Featured
newest, ending_soonest, ending_latest, price_asc, price_desc, buy_now_price_asc, buy_now_price_desc, bids_desc, bids_asc, popular, featured Condition. Options: new = New, used = Used (any), like_new = Like new, no_visible_damage = No visible damage, slight_damage = Slight damage, damaged = Damaged, poor = Poor condition
new, used, like_new, no_visible_damage, slight_damage, damaged, poor Min price (JPY)
x >= 0Max price (JPY)
x >= 0Category ID
x >= 0Brand ID
x >= 0Shipped from. Options: hokkaido = Hokkaido, aomori = Aomori, iwate = Iwate, miyagi = Miyagi, akita = Akita, yamagata = Yamagata, fukushima = Fukushima, ibaraki = Ibaraki, tochigi = Tochigi, gunma = Gunma, saitama = Saitama, chiba = Chiba, tokyo = Tokyo, kanagawa = Kanagawa, yamanashi = Yamanashi, nagano = Nagano, niigata = Niigata, toyama = Toyama, ishikawa = Ishikawa, fukui = Fukui, gifu = Gifu, shizuoka = Shizuoka, aichi = Aichi, mie = Mie, shiga = Shiga, kyoto = Kyoto, osaka = Osaka, hyogo = Hyogo, nara = Nara, wakayama = Wakayama, tottori = Tottori, shimane = Shimane, okayama = Okayama, hiroshima = Hiroshima, yamaguchi = Yamaguchi, tokushima = Tokushima, kagawa = Kagawa, ehime = Ehime, kochi = Kochi, fukuoka = Fukuoka, saga = Saga, nagasaki = Nagasaki, kumamoto = Kumamoto, oita = Oita, miyazaki = Miyazaki, kagoshima = Kagoshima, okinawa = Okinawa, overseas = Overseas
hokkaido, aomori, iwate, miyagi, akita, yamagata, fukushima, ibaraki, tochigi, gunma, saitama, chiba, tokyo, kanagawa, yamanashi, nagano, niigata, toyama, ishikawa, fukui, gifu, shizuoka, aichi, mie, shiga, kyoto, osaka, hyogo, nara, wakayama, tottori, shimane, okayama, hiroshima, yamaguchi, tokushima, kagawa, ehime, kochi, fukuoka, saga, nagasaki, kumamoto, oita, miyazaki, kagoshima, okinawa, overseas Free shipping only
With photo only
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.